Bug 1263794 - [abrt] xorg-x11-server-Xorg: RegionUninit(): Xorg killed by SIGABRT
[abrt] xorg-x11-server-Xorg: RegionUninit(): Xorg killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:6b8ee56feb8fed359daa0b83447...
:
: 1346791 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-16 13:40 EDT by Ilya Gradina
Modified: 2016-12-20 09:39 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:39:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (20.98 KB, text/plain)
2015-09-16 13:40 EDT, Ilya Gradina
no flags Details
File: cgroup (190 bytes, text/plain)
2015-09-16 13:40 EDT, Ilya Gradina
no flags Details
File: core_backtrace (3.44 KB, text/plain)
2015-09-16 13:40 EDT, Ilya Gradina
no flags Details
File: dso_list (5.80 KB, text/plain)
2015-09-16 13:40 EDT, Ilya Gradina
no flags Details
File: environ (403 bytes, text/plain)
2015-09-16 13:40 EDT, Ilya Gradina
no flags Details
File: limits (1.29 KB, text/plain)
2015-09-16 13:40 EDT, Ilya Gradina
no flags Details
File: maps (41.52 KB, text/plain)
2015-09-16 13:40 EDT, Ilya Gradina
no flags Details
File: mountinfo (3.53 KB, text/plain)
2015-09-16 13:40 EDT, Ilya Gradina
no flags Details
File: namespaces (85 bytes, text/plain)
2015-09-16 13:40 EDT, Ilya Gradina
no flags Details
File: open_fds (2.36 KB, text/plain)
2015-09-16 13:40 EDT, Ilya Gradina
no flags Details
File: proc_pid_status (1014 bytes, text/plain)
2015-09-16 13:40 EDT, Ilya Gradina
no flags Details
File: var_log_messages (294 bytes, text/plain)
2015-09-16 13:40 EDT, Ilya Gradina
no flags Details

  None (edit)
Description Ilya Gradina 2015-09-16 13:40:27 EDT
Version-Release number of selected component:
xorg-x11-server-Xorg-1.17.2-2.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/libexec/Xorg vt2 -displayfd 3 -auth /run/user/1000/gdm/Xauthority -nolisten tcp -background none -noreset -keeptty -verbose 3
crash_function: RegionUninit
executable:     /usr/libexec/Xorg
global_pid:     1977
kernel:         4.2.0-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #6 RegionUninit at ../include/regionstr.h:166
 #7 RegionReset at ../include/regionstr.h:175
 #8 miValidatePicture at mipict.c:179
 #9 ValidateOnePicture at picture.c:1374
 #10 ValidatePicture at picture.c:1383
 #11 CompositeTrapezoids at picture.c:1590
 #12 ProcRenderTrapezoids at render.c:759
 #13 Dispatch at dispatch.c:432
 #14 dix_main at main.c:298
 #16 _start

Potential duplicate: bug 1168099
Comment 1 Ilya Gradina 2015-09-16 13:40:33 EDT
Created attachment 1074142 [details]
File: backtrace
Comment 2 Ilya Gradina 2015-09-16 13:40:36 EDT
Created attachment 1074144 [details]
File: cgroup
Comment 3 Ilya Gradina 2015-09-16 13:40:37 EDT
Created attachment 1074145 [details]
File: core_backtrace
Comment 4 Ilya Gradina 2015-09-16 13:40:39 EDT
Created attachment 1074146 [details]
File: dso_list
Comment 5 Ilya Gradina 2015-09-16 13:40:40 EDT
Created attachment 1074147 [details]
File: environ
Comment 6 Ilya Gradina 2015-09-16 13:40:41 EDT
Created attachment 1074148 [details]
File: limits
Comment 7 Ilya Gradina 2015-09-16 13:40:43 EDT
Created attachment 1074149 [details]
File: maps
Comment 8 Ilya Gradina 2015-09-16 13:40:44 EDT
Created attachment 1074150 [details]
File: mountinfo
Comment 9 Ilya Gradina 2015-09-16 13:40:49 EDT
Created attachment 1074151 [details]
File: namespaces
Comment 10 Ilya Gradina 2015-09-16 13:40:51 EDT
Created attachment 1074152 [details]
File: open_fds
Comment 11 Ilya Gradina 2015-09-16 13:40:52 EDT
Created attachment 1074153 [details]
File: proc_pid_status
Comment 12 Ilya Gradina 2015-09-16 13:40:54 EDT
Created attachment 1074154 [details]
File: var_log_messages
Comment 13 Jiri Eischmann 2015-12-08 09:31:01 EST
Another user experienced a similar problem:

Crashed out of the blue sky.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/Xorg vt2 -displayfd 3 -auth /run/user/1000/gdm/Xauthority -nolisten tcp -background none -noreset -keeptty -verbose 3
crash_function: RegionUninit
executable:     /usr/libexec/Xorg
global_pid:     2342
kernel:         4.3.0-1.fc24.x86_64
package:        xorg-x11-server-Xorg-1.18.0-2.fc23
reason:         Xorg killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 dmct 2016-01-16 00:49:02 EST
Another user experienced a similar problem:

Simplemente mató mi sesión.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/Xorg vt2 -displayfd 3 -auth /run/user/1000/gdm/Xauthority -nolisten tcp -background none -noreset -keeptty -verbose 3
crash_function: RegionUninit
executable:     /usr/libexec/Xorg
global_pid:     2793
kernel:         4.3.3-300.fc23.x86_64+debug
package:        xorg-x11-server-Xorg-1.18.0-2.fc23
reason:         Xorg killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Matteo Brancaleoni 2016-05-05 09:14:53 EDT
Similar problem has been detected:

while in libreoffice draw, dragged a transparent shape, suddendly xorg crashed.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/libexec/Xorg vt2 -displayfd 3 -auth /run/user/1026/gdm/Xauthority -nolisten tcp -background none -noreset -keeptty -verbose 3
crash_function: RegionUninit
executable:     /usr/libexec/Xorg
global_pid:     1867
kernel:         4.3.5-300.fc23.x86_64
package:        xorg-x11-server-Xorg-1.18.3-1.fc23
reason:         Xorg killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1026
Comment 16 christof.schulze 2016-06-15 07:03:36 EDT
*** Bug 1346791 has been marked as a duplicate of this bug. ***
Comment 17 Fedora End Of Life 2016-11-24 07:31:18 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2016-12-20 09:39:09 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.